package com.realnet.forma.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.forma.Entity.Testk;
import com.realnet.forma.Services.TestkService ;


























@RequestMapping(value = "/Testk")
 @CrossOrigin("*") 
@RestController
public class TestkController {
	@Autowired
	private TestkService Service;

@Value("${projectPath}")
	private String projectPath;
 


























	@PostMapping("/Testk")
		  public Testk Savedata(@RequestBody Testk data) {
		Testk save = Service.Savedata(data)	;

























		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testk/{id}")
	public  Testk update(@RequestBody Testk data,@PathVariable Integer id ) {
		Testk update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testk/getall/page")
	public Page<Testk> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testk> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testk")
	public List<Testk> getdetails() {
		 List<Testk> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testk")
	public List<Testk> getallwioutsec() {
		 List<Testk> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testk/{id}")
	public  Testk  getdetailsbyId(@PathVariable Integer id ) {
		Testk  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testk/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



























}